message("${Y}==== 进入find_openssl.cmake ====${E}")

set(USE_OPENSSL OFF)
if (DEFINED PATH_SSL AND NOT "${PATH_SSL}" STREQUAL "")
    file(TO_CMAKE_PATH ${PATH_SSL} PATH_SSL)
    if(EXISTS ${PATH_SSL})
        list(APPEND CMAKE_PREFIX_PATH ${PATH_SSL})
        find_package(OpenSSL CONFIG REQUIRED)
        message("找到OpenSSL,将启用OpenSSL库")
        set(USE_OPENSSL ON)
    else ()
        message("OPENSSL根目录不正确,不启用OPENSSL")
    endif ()
else ()
    message("未配置OPENSSL根目录,不启用OPENSSL")
endif ()


